#include "RecordTimestamp.h"
#include <stdlib.h>
#include <sys/time.h>
#include <QFile>
#include <QDataStream>

void
RecordTimestamp(QString stamp) {
   struct timeval now;
   gettimeofday(&now, NULL);

   if (stamp.left(2) == QString("~/")) {
      stamp.replace(0,1,QString(getenv("HOME")));
   }
   QFile sf(stamp);
   if (sf.open(QIODevice::WriteOnly|QIODevice::Truncate)) {
      QDataStream ss(&sf);
      ss << ((unsigned long long)now.tv_sec)
         << ((unsigned long long)now.tv_usec);
   }
   sf.close();
}
